Subject: Re: [PATCH] drivers: Fix the Raspberry Pi debug version compile

From: Kalle Valo <[email-masked]>
Date: Mon, 23 Nov 2020 17:56:10 +0200

byhoo <[email-masked]> writes:

> The steps:
> 1. add "#define DEBUG" in
> drivers/net/wireless/broadcom/brcm80211/brcmfmac/sdio.c line 61.
> 2. make ARCH=arm CROSS_COMPILE=arm-linux-gnueabihf- O=../Out_Linux
> bcm2835_defconfig
> 3. make ARCH=arm CROSS_COMPILE=arm-linux-gnueabihf- O=../Out_Linux/
> zImage modules dtbs -j8
>
> Then, it will fail, the compile log described below:
>
> Kernel: arch/arm/boot/zImage is ready MODPOST Module.symvers ERROR:
> modpost: "brcmf_debugfs_add_entry"
> [drivers/net/wireless/broadcom/brcm80211/brcmfmac/brcmfmac.ko]
> undefined! ERROR: modpost: "brcmf_debugfs_get_devdir"
> [drivers/net/wireless/broadcom/brcm80211/brcmfmac/brcmfmac.ko]
> undefined! ERROR: modpost: "__brcmf_dbg"
> [drivers/net/wireless/broadcom/brcm80211/brcmfmac/brcmfmac.ko]
> undefined!
> /home/hby/gitee/linux_origin/Linux/scripts/Makefile.modpost:111:
> recipe for target 'Module.symvers' failed make[2]: ***
> [Module.symvers] Error 1 make[2]: *** Deleting file 'Module.symvers'
> /home/hby/gitee/linux_origin/Linux/Makefile:1390: recipe for target
> 'modules' failed make[1]: *** [modules] Error 2 make[1]: Leaving
> directory '/home/hby/gitee/linux_origin/Out_Linux' Makefile:185:
> recipe for target '__sub-make' failed make: *** [__sub-make] Error 2 

Please add this info to the commit log.

And please don't submit HTML emails, the lists will drop those
automatically. See the wiki below for more info.

-- 
https://patchwork.kernel.org/project/linux-wireless/list/

https://wireless.wiki.kernel.org/en/developers/documentation/submittingpatches